@import url('https://fonts.googleapis.com/css2?family=DynaPuff:wght@400..700&family=Manrope:wght@200..800&display=swap');
@import "./variables";

.section-graphics {
    background: #202020;
}

@media (min-width: 320px) {
    .section-graphics__header {
        width: 327px;
        height: 54px;
        color: $white;
        font-family: $fontdyna;
        font-size: $dynaM;
        font-weight: 700;
        padding: 58px 37px 28px 36px;
    }
    .section-graphics_block {
        display: flex;
        gap: 32px;
        justify-content: center;
        flex-direction: column;
        padding-bottom: 93px;
        // padding-left: 23px;
    }
    .section-graphics__wallpaper-one {
        width: 343px;
        height: 325px;
        border-radius: 40px;
        background-image: url(/images/graphics/one.jpg);
        background-size: 100% 100%;
        background-repeat:no-repeat;
        filter: grayscale(100%);
        margin: 0 auto;
        margin-bottom: 26px;
        &::after {
            content: url(/images/graphics/icon1.svg);
            width: 172px;
            height: 172px;
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
            fill: #F8841D;
        }
    }
    .section-graphics__wallpaper-two {
        width: 343px;
        height: 325px;
        border-radius: 40px;
        background-image: url(/images/graphics/two.jpg);
        background-size: 100% 100%;
        filter: grayscale(100%);
        &::after {
            content: url(/images/graphics/icon2.svg);
            width: 134px;
            height: 137px;
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
            fill: #F2C94C;
        }
    }
    .section-graphics__wallpaper-three {
        width: 343px;
        height: 325px;
        border-radius: 40px;
        background-image: url(/images/graphics/three.jpg);
        background-size: 100% 100%;
        filter: grayscale(100%);
        &::after {
            content: url(/images/graphics/icon3.svg);
            width: 148px;
            height: 143px;
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
            fill: #2F80ED;
        }
    }
}
@media (min-width: 768px) {
    .section-graphics__header {
        width: 704px;
        height: 108px;
        color: $white;
        font-family: $fontdyna;
        font-size: $dynaXXL;
        font-weight: 700;
        padding: 82px 32px 38px 36px;
    }
    .section-graphics_block {
        display: flex;
        flex-direction: row;
        gap: 34px;
        justify-content: center;
        padding-bottom: 129px;
    }
    .section-graphics__wallpaper-one {
        width: 704px;
        height: 414px;
        border-radius: 40px;
        background-image: url(/images/graphics/one.jpg);
        background-size: 100% 100%;
        background-repeat:no-repeat;
        filter: grayscale(100%);
        margin: 0 auto;
        margin-bottom: 26px;
        &::after {
            content: url(/images/graphics/icon1.svg);
            width: 227px;
            height: 227px;
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
            fill: #F8841D;
        }
    }
    .section-graphics__wallpaper-two {
        width: 336px;
        height: 325px;
        border-radius: 40px;
        background-image: url(/images/graphics/two.jpg);
        background-size: 100% 100%;
        filter: grayscale(100%);
        &::after {
            content: url(/images/graphics/icon2.svg);
            width: 147px;
            height: 151px;
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
            fill: #F2C94C;
        }
    }
    .section-graphics__wallpaper-three {
        width: 334px;
        height: 325px;
        border-radius: 40px;
        background-image: url(/images/graphics/three.jpg);
        background-size: 100% 100%;
        filter: grayscale(100%);
        &::after {
            content: url(/images/graphics/icon3.svg);
            width: 183px;
            height: 177px;
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
            fill: #2F80ED;
        }
    }
}
@media (min-width: 1200px) {
    .section-graphics__header {
        width: 846px;
        height: 108px;
        color: $white;
        font-family: $fontdyna;
        font-size: $dynaXXL;
        font-weight: 700;
        padding: 82px 0 38px 191px;
    }
    .section-graphics_block {
        display: flex;
        flex-direction: row;
        gap: 26px;
        justify-content: center;
        padding-bottom: 138px;
    }
    .section-graphics__wallpaper-one {
        width: 1055px;
        height: 414px;
        border-radius: 40px;
        background-image: url(/images/graphics/one.jpg);
        background-size: 100% 100%;
        background-repeat:no-repeat;
        filter: grayscale(100%);
        margin: 0 auto;
        margin-bottom: 26px;
        &::after {
            content: url(/images/graphics/icon1.svg);
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
            fill: #F8841D;
        }
    }
    .section-graphics__wallpaper-two {
        width: 514px;
        height: 414px;
        border-radius: 40px;
        background-image: url(/images/graphics/two.jpg);
        background-size: 100% 100%;
        filter: grayscale(100%);
        &::after {
            content: url(/images/graphics/icon2.svg);
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
            fill: #F2C94C;
        }
    }
    .section-graphics__wallpaper-three {
        width: 514px;
        height: 414px;
        border-radius: 40px;
        background-image: url(/images/graphics/three.jpg);
        background-size: 100% 100%;
        filter: grayscale(100%);
        &::after {
            content: url(/images/graphics/icon3.svg);
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
            fill: #2F80ED;
        }
    }
}